org.eclipse.graphiti.ui.internal.util

## Class ModelElementNameComparator

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.util.ModelElementNameComparator

All Implemented Interfaces:
  Comparator<org.eclipse.emf.ecore.ENamedElement>

    public final class ModelElementNameComparator
    extends Object
    implements Comparator<org.eclipse.emf.ecore.ENamedElement>

Compares `EMF model elements` by their `name`

### Field Summary

Fields
`static Comparator<org.eclipse.emf.ecore.ENamedElement>` `INSTANCE` A comparator comparing case-sensitively
`static Comparator<org.eclipse.emf.ecore.ENamedElement>` `INSTANCE_IGNORING_CASE` A comparator comparing case-insensitively, i.e.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(org.eclipse.emf.ecore.ENamedElement o1, org.eclipse.emf.ecore.ENamedElement o2)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Field Detail

#### INSTANCE

    public static final Comparator<org.eclipse.emf.ecore.ENamedElement> INSTANCE

A comparator comparing case-sensitively

#### INSTANCE_IGNORING_CASE

    public static final Comparator<org.eclipse.emf.ecore.ENamedElement> INSTANCE_IGNORING_CASE

A comparator comparing case-insensitively, i.e. ignoring case

### Method Detail

#### compare

    public int compare(org.eclipse.emf.ecore.ENamedElement o1,
                       org.eclipse.emf.ecore.ENamedElement o2)

Specified by:
  `compare` in interface `Comparator<org.eclipse.emf.ecore.ENamedElement>`
See Also:
  `Comparator.compare(Object, Object)`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`